Skala
Invoices

List all invoices

Fetches a complete list of invoice records available in the system.

GET
/api/invoices

Fetches a complete list of invoice records available in the system.

AuthorizationBearer <token>

In: header

Query Parameters

page?integer

The collection page number

Default1
itemsPerPage?integer

The number of items per page

Default10
Range0 <= value
pagination?boolean

Enable or disable pagination

code?string
tags?string
contact.name?string
total?string
type?string
type[]?array<>
status?string
status[]?array<>
currency.code?string
currency.code[]?array<>
itemStatus?string
itemStatus[]?array<>
materialStatus?string
materialStatus[]?array<>
productionStatus?string
productionStatus[]?array<>
expectedDate[before]?string
expectedDate[strictly_before]?string
expectedDate[after]?string
expectedDate[strictly_after]?string
createdAt[before]?string
createdAt[strictly_before]?string
createdAt[after]?string
createdAt[strictly_after]?string
regexp_deliveryStatus?string
order[id]?string
Default"asc"
Value in"asc" | "desc"
order[code]?string
Default"asc"
Value in"asc" | "desc"
order[number]?string
Default"asc"
Value in"asc" | "desc"
order[contact.name]?string
Default"asc"
Value in"asc" | "desc"
order[currency.code]?string
Default"asc"
Value in"asc" | "desc"
order[tags]?string
Default"asc"
Value in"asc" | "desc"
order[total]?string
Default"asc"
Value in"asc" | "desc"
order[createdAt]?string
Default"asc"
Value in"asc" | "desc"
order[expectedDate]?string
Default"asc"
Value in"asc" | "desc"
order[orderStatus]?string
Default"asc"
Value in"asc" | "desc"
isInvoiced?boolean
isReceived?boolean

Response Body

application/json

curl -X GET "https://api.skalasuite.com/api/invoices"
[
  {
    "id": 0,
    "contact": {
      "id": 0,
      "name": "string",
      "createdAt": "2019-08-24T14:15:22Z"
    },
    "location": {
      "id": 0,
      "createdAt": "2019-08-24T14:15:22Z"
    },
    "totalUnits": "string",
    "subtotal": "string",
    "tax": "string",
    "total": "string",
    "expectedDate": "2019-08-24T14:15:22Z",
    "type": "string",
    "isReceived": true,
    "materialStatus": "string",
    "orderStatus": "string",
    "code": "string",
    "series": "string",
    "number": 0,
    "items": [
      {
        "id": 0,
        "stock": {
          "id": 0,
          "name": "string",
          "unit": {
            "id": 0,
            "name": "string",
            "createdAt": "2019-08-24T14:15:22Z"
          },
          "tax": {
            "id": 0,
            "rate": "string",
            "name": "string",
            "createdAt": "2019-08-24T14:15:22Z"
          },
          "currency": {
            "id": 0,
            "name": "string",
            "code": "string",
            "symbol": "string"
          },
          "trackType": "string",
          "isBuyingDifferentUnit": true,
          "buyingUnit": {
            "id": 0,
            "name": "string",
            "createdAt": "2019-08-24T14:15:22Z"
          },
          "customFieldCollection": {
            "createdAt": "2019-08-24T14:15:22Z"
          },
          "autoAssembly": true,
          "createdAt": "2019-08-24T14:15:22Z"
        },
        "variant": {
          "id": 0,
          "name": "string",
          "internalBarcode": "string",
          "label": "string",
          "createdAt": "2019-08-24T14:15:22Z"
        },
        "quantity": "string",
        "incomingQuantity": "string",
        "remainingQuantity": "string",
        "subtotal": "string",
        "tax": "string",
        "total": "string",
        "isReceived": true,
        "status": "string",
        "expectedDate": "2019-08-24T14:15:22Z",
        "materialStatus": "string",
        "stockExpectedDate": "2019-08-24T14:15:22Z",
        "manufacturingStatus": "string",
        "unitPrice": "string",
        "shipmentItems": [
          {
            "id": 0,
            "barcode": "string",
            "batch": {
              "id": 0,
              "barcode": "string",
              "createdAt": "2019-08-24T14:15:22Z"
            },
            "createdAt": "2019-08-24T14:15:22Z"
          }
        ],
        "workOrders": [
          {
            "plannedQuantity": "string",
            "createdAt": "2019-08-24T14:15:22Z"
          }
        ],
        "nonDiscountedUnitPrice": "string",
        "nonDiscountedPrice": "string",
        "productionStatus": "string",
        "isWorkOrderCreated": true,
        "workOrderCreatedQuantity": "string",
        "currency": {
          "id": 0,
          "name": "string",
          "code": "string",
          "symbol": "string"
        },
        "normalizedUnitPrice": "string",
        "normalizedSubtotal": "string",
        "normalizedTax": "string",
        "normalizedTotal": "string",
        "taxRate": {
          "id": 0,
          "rate": "string",
          "name": "string",
          "createdAt": "2019-08-24T14:15:22Z"
        },
        "producedQuantity": "string",
        "notes": "string",
        "serialNumbers": [
          {
            "id": 0,
            "serialNumber": "string",
            "createdAt": "2019-08-24T14:15:22Z"
          }
        ],
        "discountRate": "string",
        "productionCompletedDate": "2019-08-24T14:15:22Z",
        "createdAt": "2019-08-24T14:15:22Z"
      }
    ],
    "itemStatus": "string",
    "itemExpectedDate": "2019-08-24T14:15:22Z",
    "materialExpectedDate": "2019-08-24T14:15:22Z",
    "status": "string",
    "description": "string",
    "discountRate": "string",
    "productionStatus": "string",
    "deliveryStatus": "string",
    "workOrder": {
      "plannedQuantity": "string",
      "createdAt": "2019-08-24T14:15:22Z"
    },
    "currency": {
      "id": 0,
      "name": "string",
      "code": "string",
      "symbol": "string"
    },
    "normalizedSubtotal": "string",
    "normalizedTax": "string",
    "normalizedTotal": "string",
    "customerName": "string",
    "shipmentCode": "string",
    "shipmentLink": "string",
    "shippingAddress": {
      "id": 0,
      "street": "string",
      "line1": "string",
      "line2": "string",
      "city": "string",
      "state": "string",
      "zipCode": "string",
      "country": "/entity/1",
      "body": "string",
      "createdAt": "2019-08-24T14:15:22Z"
    },
    "billingAddress": {
      "id": 0,
      "street": "string",
      "line1": "string",
      "line2": "string",
      "city": "string",
      "state": "string",
      "zipCode": "string",
      "country": "/entity/1",
      "body": "string",
      "createdAt": "2019-08-24T14:15:22Z"
    },
    "priority": 0,
    "isInvoiced": true,
    "tags": "string",
    "externalLink": "string",
    "mediaObjects": [
      {
        "id": 0,
        "contentUrl": "string",
        "file": "string"
      }
    ],
    "productionCompletedDate": "2019-08-24T14:15:22Z",
    "createdAt": "2019-08-24T14:15:22Z"
  }
]